Bug 843409 - 3.1 - [vdsm] connection to ISO domain is blocked: AttributeError: 'CrabRPCProxy' object has no attribute 'log'
3.1 - [vdsm] connection to ISO domain is blocked: AttributeError: 'CrabRPCPro...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Saggi Mizrahi
Dafna Ron
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 04:58 EDT by Haim
Modified: 2014-01-12 19:53 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-05 02:36:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-26 04:58:58 EDT
Description of problem:

when connection to ISO domain is blocked, I get the following error. 
please catch and produce an error.

Thread-79387::ERROR::2012-07-26 14:45:53,410::domainMonitor::140::Storage.DomainMonitor::(_monitorDomain) Error while collecting domain `7233a711-98e8-4c3c-bcfa-44c4bcc4f6c6` monitoring information
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/domainMonitor.py", line 118, in _monitorDomain
    domain.selftest()
  File "/usr/share/vdsm/storage/nfsSD.py", line 134, in selftest
    fileSD.FileStorageDomain.selftest(self)
  File "/usr/share/vdsm/storage/fileSD.py", line 364, in selftest
    self.oop.os.statvfs(self.domaindir)
  File "/usr/share/vdsm/storage/remoteFileHandler.py", line 270, in callCrabRPCFunction
    *args, **kwargs)
  File "/usr/share/vdsm/storage/remoteFileHandler.py", line 183, in callCrabRPCFunction
    self.log.warn("Problem with handler, treating as timeout")
AttributeError: 'CrabRPCProxy' object has no attribute 'log'
Thread-79695::DEBUG::2012-07-26 14:45:55,668::__init__::1164::Storage.Misc.excCmd::(_log) '/bin/dd iflag=direct if=/dev/5959bd00-fc76-402a-bab1-6ad4cfee573b/metadata bs=4096 count=1' (cwd None)
Thread-79695::DEBUG::2012-07-26 14:45:55,681::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = '1+0 records in\n1+0 records out\n4096 bytes (4.1 kB) copied, 0.000514906 s, 8.0 MB/s\n'; <rc> = 0
Thread-79382::DEBUG::2012-07-26 14:45:59,316::__init__::1164::Storage.Misc.excCmd::(_log) '/bin/dd iflag=direct if=/dev/a3ceac0d-a435-4306-bd61-2465ef9525f9/metadata bs=4096 count=1' (cwd None)
Thread-79382::DEBUG::2012-07-26 14:45:59,329::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = '1+0 records in\n1+0 records out\n4096 bytes (4.1 kB) copied, 0.000462992 s, 8.8 MB/s\n'; <rc> = 0
Thread-83574::DEBUG::2012-07-26 14:46:00,152::task::588::TaskManager.Task::(_updateState) Task=`3cdd8be7-89e7-4957-aad5-c71011f3dc13`::moving from state init -> state preparing
Thread-83574::INFO::2012-07-26 14:46:00,153::logUtils::37::dispatcher::(wrapper) Run and protect: repoStats(options=None)
Thread-83574::INFO::2012-07-26 14:46:00,154::logUtils::39::dispatcher::(wrapper) Run and protect: repoStats, Return response: {'7099c8c2-014f-401b-968b-53fe7e7107a3': {'delay': '0', 'lastCheck': 1343303152.6303
36, 'code': 2001, 'valid': False}, 'a3ceac0d-a435-4306-bd61-2465ef9525f9': {'delay': '0.013612985611', 'lastCheck': 1343303159.3351691, 'code': 0, 'valid': True}, '7233a711-98e8-4c3c-bcfa-44c4bcc4f6c6': {'delay
': '0', 'lastCheck': 1343303153.411057, 'code': 200, 'valid': False}, '5959bd00-fc76-402a-bab1-6ad4cfee573b': {'delay': '0.0140080451965', 'lastCheck': 1343303155.683104, 'code': 0, 'valid': True}}
Thread-83574::DEBUG::2012-07-26 14:46:00,154::task::1172::TaskManager.Task::(prepare) Task=`3cdd8be7-89e7-4957-aad5-c71011f3dc13`::finished: {'7099c8c2-014f-401b-968b-53fe7e7107a3': {'delay': '0', 'lastCheck': 
1343303152.630336, 'code': 2001, 'valid': False}, 'a3ceac0d-a435-4306-bd61-2465ef9525f9': {'delay': '0.013612985611', 'lastCheck': 1343303159.3351691, 'code': 0, 'valid': True}, '7233a711-98e8-4c3c-bcfa-44c4bcc
4f6c6': {'delay': '0', 'lastCheck': 1343303153.411057, 'code': 200, 'valid': False}, '5959bd00-fc76-402a-bab1-6ad4cfee573b': {'delay': '0.0140080451965', 'lastCheck': 1343303155.683104, 'code': 0, 'valid': True
}}
Thread-83574::DEBUG::2012-07-26 14:46:00,155::task::588::TaskManager.Task::(_updateState) Task=`3cdd8be7-89e7-4957-aad5-c71011f3dc13`::moving from state preparing -> state finished
Thread-83574::DEBUG::2012-07-26 14:46:00,155::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-83574::DEBUG::2012-07-26 14:46:00,155::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-83574::DEBUG::2012-07-26 14:46:00,156::task::978::TaskManager.Task::(_decref) Task=`3cdd8be7-89e7-4957-aad5-c71011f3dc13`::ref 0 aborting False
Thread-80273::DEBUG::2012-07-26 14:46:02,631::__init__::1164::Storage.Misc.excCmd::(_log) '/bin/dd iflag=direct if=/dev/7099c8c2-014f-401b-968b-53fe7e7107a3/metadata bs=4096 count=1' (cwd None)
Thread-80273::DEBUG::2012-07-26 14:46:02,641::__init__::1164::Storage.Misc.excCmd::(_log) FAILED: <err> = "/bin/dd: reading `/dev/7099c8c2-014f-401b-968b-53fe7e7107a3/metadata': Input/output error\n0+0 records 
in\n0+0 records out\n0 bytes (0 B) copied, 0.000138415 s, 0.0 kB/s\n"; <rc> = 1
Thread-80273::ERROR::2012-07-26 14:46:02,642::domainMonitor::140::Storage.DomainMonitor::(_monitorDomain) Error while collecting domain `7099c8c2-014f-401b-968b-53fe7e7107a3` monitoring information
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/domainMonitor.py", line 120, in _monitorDomain
    nextStatus.readDelay = domain.getReadDelay()
  File "/usr/share/vdsm/storage/blockSD.py", line 470, in getReadDelay
    misc.readfile(lvm.lvPath(self.sdUUID, sd.METADATA), 4096)
  File "/usr/share/vdsm/storage/misc.py", line 287, in readfile
    raise se.MiscFileReadException(name)
MiscFileReadException: Internal file read failure: ('/dev/7099c8c2-014f-401b-968b-53fe7e7107a3/metadata',)
Comment 3 Saggi Mizrahi 2012-07-30 11:44:02 EDT
https://gerrit.eng.lab.tlv.redhat.com/960

Only a problem downstream
Comment 5 Dafna Ron 2012-11-22 10:28:11 EST
verified on si24.4

Note You need to log in before you can comment on or make changes to this bug.